Bug 258336 - graphics/jpeg-turbo: Update to 2.1.1
Summary: graphics/jpeg-turbo: Update to 2.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL: https://github.com/libjpeg-turbo/libj...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-07 11:55 UTC by Daniel Engberg
Modified: 2021-09-19 19:20 UTC (History)
2 users (show)

See Also:
antoine: maintainer-feedback+
antoine: exp-run+


Attachments
Patch for jpeg-turbo (2.31 KB, patch)
2021-09-07 11:55 UTC, Daniel Engberg
no flags Details | Diff
Patch for jpeg-turbo v2 (2.31 KB, patch)
2021-09-07 11:56 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-09-07 11:55:22 UTC
Created attachment 227733 [details]
Patch for jpeg-turbo

Backport upstream commits 129f0cb76346ceede8f4d8d87dea8acb0809056c and 173900b1cabb027495ae530c71250bcedc9925d5

Compile and tested on FreeBSD 13.0-STABLE #0 stable/13-n246086-a20c597c6d7 (amd64) (make, make check-plist, make test)
Compile and tested on FreeBSD 13.0-STABLE #0 stable/13-n246453-06887e06864-dirty (arm64) (make, make check-plist, make test)

Poudriere testport OK 12.2-RELEASE (amd64) (including libjpeg-turbo)
Poudriere testport OK 11.4-RELEASE (amd64) (including libjpeg-turbo)

References:
https://github.com/libjpeg-turbo/libjpeg-turbo/commit/129f0cb76346ceede8f4d8d87dea8acb0809056c
https://github.com/libjpeg-turbo/libjpeg-turbo/commit/173900b1cabb027495ae530c71250bcedc9925d5
Comment 1 Daniel Engberg freebsd_committer 2021-09-07 11:56:46 UTC
Created attachment 227734 [details]
Patch for jpeg-turbo v2

Remove stray backslash
Comment 2 Antoine Brodin freebsd_committer 2021-09-15 12:37:40 UTC
This looks fine.
Please make sure it builds on aarch64 too.
Comment 3 Daniel Engberg freebsd_committer 2021-09-15 19:05:00 UTC
I only have a small SBC for arm64/aarch64 so I'm not sure if it'll be happy runinng Poudriere but I'll try to give it a go next week (it's currently busy for other work).

Thanks for the exp-run!
Comment 4 Mikael Urankar freebsd_committer 2021-09-16 06:57:45 UTC
It builds fine on aarch64
Comment 5 commit-hook freebsd_committer 2021-09-19 19:18:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c649b7e482986dfdfa2875df051f482f0713c909

commit c649b7e482986dfdfa2875df051f482f0713c909
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-19 18:52:03 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-19 19:17:12 +0000

    graphics/jpeg-turbo: Update to 2.1.1

    Backport upstream commits:
    129f0cb76346ceede8f4d8d87dea8acb0809056c
    173900b1cabb027495ae530c71250bcedc9925d5

    exp-run by antoine
    Additional build tests on aarch64 by mikael

    PR:             258336
    Approved by:    arrowd
    Differential Revision:  https://reviews.freebsd.org/D31988

 graphics/jpeg-turbo/Makefile  | 10 +++++++---
 graphics/jpeg-turbo/distinfo  | 10 +++++++---
 graphics/jpeg-turbo/pkg-plist |  4 ++++
 3 files changed, 18 insertions(+), 6 deletions(-)
Comment 6 Daniel Engberg freebsd_committer 2021-09-19 19:20:59 UTC
Committed, thanks Antoine and Mikael!